<?php get_header(); ?>
	
	<?php
		get_template_part('template-parts/content', 'featured');
	?>

	<div id="primary" class="content-area">	

		<main id="main" class="site-main clear">
			
			<div id="recent-content">
			
				<?php if ( is_active_sidebar( 'homepage' ) && (!get_query_var('paged')) ) { ?>

					<?php dynamic_sidebar( 'homepage' ); ?>

				<?php } ?>

				<?php if ( get_theme_mod('home-recent-on', 'true') == true ) { ?>

				<div class="section-heading">

					<?php
						$heading_url = get_theme_mod('all-posts-url', home_url().'/latest');
						$heading_text = get_theme_mod('recent-heading', __('Recent videos', 'videohost-pro'));
					?>

					<h3 class="section-title"><a href="<?php echo esc_url($heading_url); ?>"><?php echo $heading_text; ?></a></h3>

				</div><!-- .section-heading -->	

				<div class="content-loop">

					<?php

					if ( have_posts() ) :	
					
					/* Start the Loop */
					while ( have_posts() ) : the_post();

						get_template_part('template-parts/content', 'loop');

					endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif; 

					?>

				</div><!-- .content-loop -->

				<?php } ?>

			</div><!-- #recent-content -->		

		</main><!-- .site-main -->

		<?php if ( get_theme_mod('home-recent-on', 'true') == true ) {
				
				get_template_part( 'template-parts/pagination', '' ); 
			
			}
		?>

	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
