<?php 
	global $post;	
	$video_length = get_post_meta($post->ID, 'video_length', true);	
?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	

	<?php if ( has_post_thumbnail() && ( get_the_post_thumbnail() != null ) ) { ?>
		<a class="thumbnail-link" href="<?php the_permalink(); ?>">
			<div class="thumbnail-wrap">
				<?php 
					the_post_thumbnail('post-thumb'); 
				?>
				<?php if (!empty($video_length)) { ?>
					<span class="video-length"><?php echo $video_length; ?></span>
				<?php } ?>		
			</div><!-- .thumbnail-wrap -->
		</a>
	<?php } ?>	

	<div class="entry-header">
		<?php if (!is_category()) { ?>
			<span class="entry-category"><?php videohost_pro_first_category(); ?></span>
		<?php } ?>
		<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		<div class="entry-meta">
			<span class="entry-date"><?php echo get_the_date('M d, Y'); ?></span>
			<span class="entry-views"><?php echo videohost_pro_get_post_views(get_the_ID()); ?></span>
		</div><!-- .entry-meta -->
	</div><!-- .entry-header -->

</div><!-- #post-<?php the_ID(); ?> -->